% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vreq_classic_methods.R
\name{vreq_classic_methods}
\alias{vreq_classic_methods}
\alias{summary.vreq_classic}
\alias{print.vreq_classic}
\alias{set_com.vreq_classic}
\alias{set_comnull.vreq_classic}
\alias{set_vr.vreq_classic}
\alias{get_com.vreq_classic}
\alias{get_comnull.vreq_classic}
\alias{get_vr.vreq_classic}
\title{Basic methods for the \code{vreq_classic} class}
\usage{
\method{summary}{vreq_classic}(object, ...)

\method{print}{vreq_classic}(x, ...)

\method{set_com}{vreq_classic}(obj, newval)

\method{set_comnull}{vreq_classic}(obj, newval)

\method{set_vr}{vreq_classic}(obj, newval)

\method{get_com}{vreq_classic}(obj)

\method{get_comnull}{vreq_classic}(obj)

\method{get_vr}{vreq_classic}(obj)
}
\arguments{
\item{object, x, obj}{An object of class \code{vreq_classic}}

\item{...}{Not currently used. Included for argument consistency
with existing generics.}

\item{newval}{A new value, for the \code{set_*} methods}
}
\value{
\code{summary.vreq_classic} produces a summary of a \code{vreq_classic} object.
A \code{print.vreq_classic} method is also available. For \code{vreq_classic} objects, 
\code{set_*} and \code{get_*} methods are available for all slots (see
the documentation for \code{vreq_classic} for a list). The \code{set_*} methods 
just throw an error, to prevent breaking the consistency between the 
slots of a \code{vreq_classic} object.
}
\description{
Set, get, summary, and print methods for the \code{vreq_classic} class.
}
\examples{
X<-matrix(runif(10*100),10,100)
res<-vreq_classic(X)
print(res)
summary(res)
 
}
\references{
Peterson (1975) Stability of species and of community for the benthos of two lagoons. Ecology 56, 958-965.
}
\seealso{
\code{\link{vreq_classic}}
}
\author{
Daniel Reuman, \email{reuman@ku.edu}
}
